commit e675b6914c21eeb0852f77c0000d0f2aaa702401
Author: freddy77 <freddy77>
Date:   Fri Feb 6 11:12:01 2009 +0000

    fix convert test

diff --git a/ChangeLog b/ChangeLog
index dabad20..e0e19c6 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Feb  6 12:11:27 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/unittests/convert.c: fix convert test
+
 Fri Feb  6 11:59:03 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/rpc.sql: fix rpc test
 
@@ -1283,4 +1286,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2722 2009/02/06 10:59:28 freddy77 Exp $
+$Id: ChangeLog,v 1.2723 2009/02/06 11:12:01 freddy77 Exp $
diff --git a/src/tds/unittests/convert.c b/src/tds/unittests/convert.c
index 70d28c3..2cfb472 100644
--- a/src/tds/unittests/convert.c
+++ b/src/tds/unittests/convert.c
@@ -32,7 +32,7 @@
 #include <sys/time.h>
 #endif
 
-static char software_version[] = "$Id: convert.c,v 1.24 2008/12/10 14:56:27 freddy77 Exp $";
+static char software_version[] = "$Id: convert.c,v 1.25 2009/02/06 11:12:01 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int g_result = 0;
@@ -92,6 +92,8 @@ main(int argc, char **argv)
 	TDS_REAL tds_real;
 	TDS_FLOAT tds_float;
 
+	TDS_UNIQUE tds_unique;
+
 	if (argc > 1) {
 		iterations = atoi(argv[1]);
 		printf("Computing %d iterations\n", iterations);
@@ -153,6 +155,9 @@ main(int argc, char **argv)
 				cr.n.precision = 8;
 				cr.n.scale = 2;
 				break;
+			case SYBUNIQUE:
+				src = "A8C60F70-5BD4-3E02-B769-7CCCCA585DCC";
+				break;
 			case SYBBIT:
 			default:
 				src = "1";
@@ -201,6 +206,7 @@ main(int argc, char **argv)
 			srclen = sizeof(money4);
 			break;
 		case SYBBIT:
+		case SYBBITN:
 			src = (char *) &bit_input;
 			srclen = sizeof(bit_input);
 			break;
@@ -212,6 +218,10 @@ main(int argc, char **argv)
 			src = (char *) &datetime4;
 			srclen = sizeof(datetime4);
 			break;
+		case SYBUNIQUE:
+			src = (char *) &tds_unique;
+			srclen = sizeof(tds_unique);
+			break;
 		/*****  not defined yet
 			case SYBBOUNDARY:
 			case SYBSENSITIVITY:

